Debian Bug report logs - #384334
loading existing base format breaks tetex or texlive packages

version graph

Package: jadetex; Maintainer for jadetex is Debian TeX Task Force <debian-tex-maint@lists.debian.org>; Source for jadetex is src:jadetex.

Reported by: Jörg Sommer <joerg@alea.gnuu.de>

Date: Thu, 22 Jun 2006 20:48:12 UTC

Severity: serious

Tags: patch

Found in version jadetex/3.13-6

Fixed in version jadetex/3.13-7

Done: OHURA Makoto <ohura@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#375037; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Jörg Sommer <joerg@alea.gnuu.de>:
New Bug report received and forwarded. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jörg Sommer <joerg@alea.gnuu.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: pkg-texlive-maint@lists.alioth.debian.org
Subject: jadetex: support TexLive
Date: Thu, 22 Jun 2006 22:37:17 +0200
[Message part 1 (text/plain, inline)]
Package: jadetex
Version: 3.13-6
Severity: wishlist

Hi,

a new Tex distribution was added to Debian: Tex-Live. It would be great
if your package supports it. To do so add an appropriate dependency rule.
An alternative of tetex-bin | texlive-base should be enough, but check
what your package really need. In case of questions the people on the
texlive mailinglist pkg-texlive-maint@lists.alioth.debian.org might help.

Thank you.

Bye, Jörg.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#375037; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Andreas Pakulat <apaku@gmx.de>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #10 received at 375037@bugs.debian.org (full text, mbox):

From: Andreas Pakulat <apaku@gmx.de>
To: Debian Bug Tracking System <375037@bugs.debian.org>
Subject: jadetex: support TexLive
Date: Wed, 28 Jun 2006 18:29:39 +0200
Package: jadetex
Version: 3.13-6
Followup-For: Bug #375037

Hi,

I'd like to add that it is not as easy as changing the dependecies. I
did that here and the package prevents configuration of texlive-base-bin,
due to some problems with the fmtutil-call.

Andreas

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'experimental'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#375037; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #15 received at 375037@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Debian Bug Tracking System <375037@bugs.debian.org>
Cc: Debian TeX maintainers <debian-tex-maint@lists.debian.org>, Andreas Pakulat <apaku@gmx.de>
Subject: Re: jadetex: support TexLive
Date: Wed, 23 Aug 2006 17:19:59 +0200
clone 375037 -1
retitle -1 loading existing base format breaks tetex or texlive packages
severity -1 serious
tags -1 patch
stop

Andreas Pakulat <apaku@gmx.de> wrote:

> Package: jadetex
> Version: 3.13-6
> Followup-For: Bug #375037
>
> Hi,
>
> I'd like to add that it is not as easy as changing the dependecies. I
> did that here and the package prevents configuration of texlive-base-bin,
> due to some problems with the fmtutil-call.

Indeed, and this is a problem that can also occur with teTeX alone.
Imagine the following scenario:

- tetex-base, tetex-bin and jadetex are installed, the formats are
  generated.

- tetex-base and -bin are updated in the same dpkg run.  Updating either
  tetex--base or -bin requires all formats to be rebuilt (because of
  [possible] changes in the engine's, pool files, input files, etc.), so
  both postinst scripts will trigger a rebuild.  After unpacking and
  before configuration, tetex-bin's configuration file
  /etc/texmf/fmt.d/01tetex.cnf exists, but there is also a
  /etc/texmf/fmt.d/01tetex.cnf.dpkg-new.  tetex-base will be configured
  before tetex-bin.  Because of the dpkg-new file, update-fmtutil called
  by tetex-base's postinst will ignore information in 01tetex.cnf, but
  it will not ignore 40jadetex.cnf which has no dpkg-new file.

- tetex-base's postinst calls fmtutil --all, and - woosh - there's no
  information about the latex format which jadetex wants to load.  Thus
  fmtutil and tetex-base's postinst will fail.

The solution is to not load the pregenerated latex.fmt, but instead load
latex.ltx in jadetex.ini, just as latex.ini does it, before doing the
proper jadetex stuff.  Consequently, the format line in the fmtutil.cnf
snippet must be changed:

--- /etc/texmf/jadetex/jadetex.ini	2005-01-15 07:05:06.000000000 +0100
+++ myjadetex.ini.new	2006-08-22 17:18:45.000000000 +0200
@@ -1,3 +1,8 @@
+\let\savedump\dump
+\let\dump\relax
+\input latex.ini
+\let\dump\savedump
+
 \input jadetex.ltx
 \dump
 \endinput
--- /etc/texmf/fmt.d/40jadetex.cnf	2005-03-09 14:05:08.000000000 +0100
+++ 40jadetex.cnf.new	2006-08-23 17:16:57.000000000 +0200
@@ -2,6 +2,6 @@
 #                  invoke with 'fmtutil --cnffile <file>'
 #
 # format	engine  pattern-file    arguments
-jadetex		etex	language.dat	&latex jadetex.ini
-pdfjadetex	pdfetex	language.dat	&pdflatex pdfjadetex.ini
+jadetex		etex	language.dat	-translate-file=cp227.tcx *jadetex.ini
+pdfjadetex	pdfetex	language.dat	-translate-file=cp227.tcx *pdfjadetex.ini


I should remark that this is something that we, the TeX maintainers,
were not aware of, so there's also no fault on the side of the jadetex
maintainer. xmltex has the same problem.

Regards, Frank


-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Bug 375037 cloned as bug 384334. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `wishlist' Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-tex-maint@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384334; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to debian-tex-maint@lists.debian.org, OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #28 received at 384334@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Debian Bug Tracking System <384334@bugs.debian.org>
Subject: jadetex: Suggested changes, NMU prepared
Date: Thu, 24 Aug 2006 08:08:32 +0200
[Message part 1 (text/plain, inline)]
Package: jadetex
Version: 3.13-6
Followup-For: Bug #384334

Dear Ohura-san!

Frank already posted the absolutly minimal changes which would help
fixing the updates problems with tetex/texlive.

Furthermore, I have prepared a package including several changes, here
is the changelog entry with additional comments.

Please consider the attached changes for an updated package. I attach a
diff between the current 3.13-6 and 3.13-6.2.

jadetex (3.13-6.2) unstable; urgency=low

  * NMU
  * change fmtutil line to not load the latex format, but put the loading of
    latex.ini into jadetex.ini and pdfjadetex.ini (Closes: #384334)

What happens here Frank already has described.

  * add alternative dependencies on texlive (Closes: #375037)

This is wishlist bug 

   * switch to dh_installtex (Closes: #352845, #335225, #343104)
     - add the respective call to debian/rules
     - remove fmt generation code in postinst
     - remove prerm file

closes several bugs calling fmtutil. Furthermore it adds adherence to
the TeX Policy, ie that files installed into /etc/texmf/fmt.d/ are
listed in /var/lib/tex-common/fmt.d to get the update-fmtutil mechanism
right. The removal of the fmt generation code can be done as
dh_installtex adds the respective code automatically to the resp.
scripts.

   * adjust texmf.d config snippet:
     - add latex in the search path (Closes: #384332)
     - drop useless pdftex path component

This closes bug #384332

   * bump standards version to 3.7.2, no changes necessary
   * move debhelper from build-deps-indep to build-deps

two lintian warnings

   * recommend tipa (Closes: #384206)


Best wishes

Norbert


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-rc4
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)

Versions of packages jadetex depends on:
ii  debianutils                2.17          Miscellaneous utilities specific t
ii  tex-common                 0.27          Common infrastructure for using an
ii  texlive-fonts-recommended  2005.dfsg.1-1 TeX Live: Recommended fonts
ii  texlive-latex-base         2005.dfsg.1-1 TeX Live: Basic LaTeX packages
ii  texlive-latex-recommended  2005.dfsg.1-1 TeX Live: LaTeX recommended packag

Versions of packages jadetex recommends:
ii  openjade1.3                   1.3.2-9    Implementation of the DSSSL langua

-- no debconf information
[jadetex-6.2.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384334; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #33 received at 384334@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Debian Bug Tracking System <384334@bugs.debian.org>
Cc: debian-tex-maint@lists.debian.org
Subject: Re: jadetex: Suggested changes, NMU prepared
Date: Thu, 24 Aug 2006 08:20:43 +0200
On Don, 24 Aug 2006, Norbert Preining wrote:
> Please consider the attached changes for an updated package. I attach a
> diff between the current 3.13-6 and 3.13-6.2.

What I forgot. Ready prepared packages are available at
	deb http://www.tug.org/texlive/Debian/ check/
	deb-src http://www.tug.org/texlive/Debian/ check/
	
Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at>             Università di Siena
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
NAAS (n.)
The winemaking region of Albania where most of the wine that people
take to bottle-parties comes from.
			--- Douglas Adams, The Meaning of Liff



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384334; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #38 received at 384334@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 384334@bugs.debian.org
Subject: Re: Bug#384334: jadetex: Suggested changes, NMU prepared
Date: Thu, 24 Aug 2006 10:20:22 +0200
Norbert Preining <preining@logic.at> wrote:

> Please consider the attached changes for an updated package. I attach a
> diff between the current 3.13-6 and 3.13-6.2.
>
[...]
> closes several bugs calling fmtutil. Furthermore it adds adherence to
> the TeX Policy, ie that files installed into /etc/texmf/fmt.d/ are
> listed in /var/lib/tex-common/fmt.d to get the update-fmtutil mechanism
> right. The removal of the fmt generation code can be done as
> dh_installtex adds the respective code automatically to the resp.
> scripts.

There's two more things that could/should be done:  

- Since the ini files in /etc/texmf/jadetex are not really configuration
  files (instead, new formats should be created), they shouldn't be in
  /etc, and be moved to /usr/share/texmf/tex/jadetex/config/ directly

- The copyright information for the debian-specific parts is outdated.

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384334; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #43 received at 384334@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Frank Küster <frank@debian.org>
Cc: 384334@bugs.debian.org
Subject: Re: Bug#384334: jadetex: Suggested changes, NMU prepared
Date: Fri, 25 Aug 2006 09:27:24 +0200
Hi Frank!

On Don, 24 Aug 2006, Frank Küster wrote:
> - Since the ini files in /etc/texmf/jadetex are not really configuration
>   files (instead, new formats should be created), they shouldn't be in
>   /etc, and be moved to /usr/share/texmf/tex/jadetex/config/ directly

I was thinking about implementing this, but there is a slight problem:

/usr/share/texmf/tex/jadetex/config is a symlink to /etc/texmf/jadetex.

So the right solution would be (this is a question!):

- preinst: if /usr/share/texmf/tex/jadetex/config is a link to
  /etc/texmf/jadetex, remove the link.
- postinst: if the /etc/texmf/jadetex/*.ini files are the same as the
  newly installed ones under /u/s/..., remove the files and optionally
  (if empty) also /etc/texmf/jadetex, otherwise leave the files there
  and create a big fat warning?

> - The copyright information for the debian-specific parts is outdated.

As discuss, I leave it. What I might do is that I add myself for the
packages I create...

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at>             Università di Siena
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
PERCYHORNER (n.)
(English public-school slang). A prefect whose duty it is to surprise
new boys at the urinal humiliate them in a manner of his choosing.
			--- Douglas Adams, The Meaning of Liff



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384334; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #48 received at 384334@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Norbert Preining <preining@logic.at>
Cc: 384334@bugs.debian.org
Subject: Re: Bug#384334: jadetex: Suggested changes, NMU prepared
Date: Fri, 25 Aug 2006 09:58:26 +0200
Norbert Preining <preining@logic.at> wrote:

> Hi Frank!
>
> On Don, 24 Aug 2006, Frank Küster wrote:
>> - Since the ini files in /etc/texmf/jadetex are not really configuration
>>   files (instead, new formats should be created), they shouldn't be in
>>   /etc, and be moved to /usr/share/texmf/tex/jadetex/config/ directly
>
> I was thinking about implementing this, but there is a slight problem:
>
> /usr/share/texmf/tex/jadetex/config is a symlink to /etc/texmf/jadetex.
>
> So the right solution would be (this is a question!):
>
> - preinst: if /usr/share/texmf/tex/jadetex/config is a link to
>   /etc/texmf/jadetex, remove the link.
> - postinst: if the /etc/texmf/jadetex/*.ini files are the same as the
>   newly installed ones under /u/s/..., remove the files and optionally
>   (if empty) also /etc/texmf/jadetex, otherwise leave the files there
>   and create a big fat warning?

tetex-base in sarge has a "reference implementatin" for such a thing,
taken from some Xfree package and originaly developped by Branden
Robinson. 

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384334; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #53 received at 384334@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Debian Bug Tracking System <384334@bugs.debian.org>
Cc: debian-tex-maint@lists.debian.org
Subject: Re: Bug#384334: jadetex: Suggested changes, NMU prepared
Date: Fri, 25 Aug 2006 10:17:44 +0200
[Message part 1 (text/plain, inline)]
Dear Ohura-san!

I updated the patch/NMU to include the following two suggestions from
Frank:
  * move the ini files to /usr/share/texmf/tex/jadetex/config
this is again for compliance with the TeX Policy.

  * extend the copyright notices on the Debian packaging part a bit
Here I added you (with a "probably" because I don't know it for sure),
and myself.

Again attached is a diff between 3.13-6 and 3.13-6.2, an updated one.

Best wishes and thanks for considering

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at>             Università di Siena
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
KETTLENESS (adj.)
The quality of not being able to pee while being watched.
			--- Douglas Adams, The Meaning of Liff
[jadetex-6.2.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#384334; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to OHURA Makoto <ohura@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #58 received at 384334@bugs.debian.org (full text, mbox):

From: OHURA Makoto <ohura@debian.org>
To: preining@logic.at, 384334@bugs.debian.org
Cc: debian-tex-maint@lists.debian.org
Subject: Re: Bug#384334: jadetex: Suggested changes, NMU prepared
Date: Mon, 28 Aug 2006 15:39:25 +0900 (JST)
[Message part 1 (text/plain, inline)]
  Hi.

From: Norbert Preining <preining@logic.at>
Subject: Bug#384334: jadetex: Suggested changes, NMU prepared
Date: Fri, 25 Aug 2006 10:17:44 +0200
> I updated the patch/NMU to include the following two suggestions from
> Frank:
>   * move the ini files to /usr/share/texmf/tex/jadetex/config
> this is again for compliance with the TeX Policy.
>
>   * extend the copyright notices on the Debian packaging part a bit
> Here I added you (with a "probably" because I don't know it for sure),
> and myself.
>
> Again attached is a diff between 3.13-6 and 3.13-6.2, an updated one.
>
> Best wishes and thanks for considering

  Sorry for tye inconvinience. And thanks for your patch and your
work.  I'll review a patch in a few days.  Please wait.

  Thanks.

----
  OHURA Makoto: ohura@debian.org(Debian Project)
                ohura@netfort.gr.jp(LILO/Netfort)
  GnuPG public key: http://www.netfort.gr.jp/~ohura/gpg.asc.txt
                    1024D/77DCE083
        fingerprint: 54F6 D1B1 2EE1 81CD 65E3  A1D3 EEA2 EFA2 77DC E083
  http://www.netfort.gr.jp/~ohura/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384334; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #63 received at 384334@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: OHURA Makoto <ohura@debian.org>
Cc: 384334@bugs.debian.org, debian-tex-maint@lists.debian.org
Subject: Re: Bug#384334: jadetex: Suggested changes, NMU prepared
Date: Mon, 28 Aug 2006 21:17:05 +0200
Dear Ohura-san!

On Mon, 28 Aug 2006, OHURA Makoto wrote:
>   Sorry for tye inconvinience. And thanks for your patch and your
> work.  I'll review a patch in a few days.  Please wait.

Thanks a lot for taking your time. If you have any questions while
reviewing please don't hesitate to contact me.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at>             Università di Siena
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
DUGGLEBY (n.)
The person in front of you in the supermarket queue who has just
unloaded a bulging trolley on to the conveyor belt and is now in the
process of trying to work out which pocket they left their cheque book
in, and indeed which pair of trousers.
			--- Douglas Adams, The Meaning of Liff



Tags added: pending Request was from OHURA Makoto <ohura@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384334; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #70 received at 384334@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: ohura@debian.org, debian-tex-maint@lists.debian.org, preining@logic.at, 384334@bugs.debian.org, frank@debian.org, 384332@bugs.debian.org
Subject: jadetex NMU
Date: Sun, 17 Sep 2006 12:11:55 +0200
During our bug-squashing-party we decided that it would be a good idea
to make jadetex become RC bug free in etch and upload the NMU that
Norbert prepared. However, to make sure that Ohura-san is part of the
decision making I only uploaded it to delayed-4. So, if someone objects
we are able to react before it goes into incoming.

Michael
-- 
Michael Meskes
Email: Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go SF 49ers! Go Rhein Fire! Use Debian GNU/Linux! Use PostgreSQL!



Reply sent to OHURA Makoto <ohura@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jörg Sommer <joerg@alea.gnuu.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #75 received at 384334-close@bugs.debian.org (full text, mbox):

From: OHURA Makoto <ohura@debian.org>
To: 384334-close@bugs.debian.org
Subject: Bug#384334: fixed in jadetex 3.13-7
Date: Sun, 17 Sep 2006 09:17:09 -0700
Source: jadetex
Source-Version: 3.13-7

We believe that the bug you reported is fixed in the latest version of
jadetex, which is due to be installed in the Debian FTP archive:

jadetex_3.13-7.diff.gz
  to pool/main/j/jadetex/jadetex_3.13-7.diff.gz
jadetex_3.13-7.dsc
  to pool/main/j/jadetex/jadetex_3.13-7.dsc
jadetex_3.13-7_all.deb
  to pool/main/j/jadetex/jadetex_3.13-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384334@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
OHURA Makoto <ohura@debian.org> (supplier of updated jadetex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 18 Sep 2006 00:31:35 +0900
Source: jadetex
Binary: jadetex
Architecture: source all
Version: 3.13-7
Distribution: unstable
Urgency: high
Maintainer: OHURA Makoto <ohura@debian.org>
Changed-By: OHURA Makoto <ohura@debian.org>
Description: 
 jadetex    - generator of printable output from SGML or XML using Jade
Closes: 335225 343104 352845 375037 384332 384334
Changes: 
 jadetex (3.13-7) unstable; urgency=high
 .
   * Set urgency to high.  This release fixes RC bugs.  And thanks to
     Norbert Preining.
   * Switched to dh_installtex (Closes: #352845, #335225, #343104)
     - Added the respective call to debian/rules
     - Removed fmt generation code in postinst
     - Removed prerm file
   * debian/rules:
     - Moved the ini files to /usr/share/texmf/tex/jadetex/config
   * debian/control:
     - Added alternative build-dependencies on texlive.
     - Added alternative dependencies on texlive. (Closes: #375037).
     - Moved debhelper from Build-Depends-Indep to Build-Depends.
     - Updated Standards-Version.
   * Changed fmtutil line to not load the latex format, but put the loading
     of latex.ini into jadetex.ini and the loading of pdflatex.ini into
     pdfjadetex.ini. (Closes: #384334).
   * debian/texmf.cnf:
     - Added latex sub directory in the search path.
     - Deleted useless pdftex path component (Closes: #384332).
   * debian/copyright: Extended the copyright notices on the Debian
     packaging part a bit.
Files: 
 1d1552fd798be1dcc8d894c43df0fa3a 706 tex optional jadetex_3.13-7.dsc
 348789f011ba8da06a8012e4dc354823 15548 tex optional jadetex_3.13-7.diff.gz
 38b5f3c21da53bb1b6a9711c1a0b1d83 238170 tex optional jadetex_3.13-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFDXIT7qLvonfc4IMRAsukAKCie9CijOMlOxIixrZyp6fvgBHvQgCfYRUv
4HwxmxisAG5YgAlAl/3p2D4=
=CCT6
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384334; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #80 received at 384334@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Michael Meskes" <meskes@debian.org>, <ohura@debian.org>, <debian-tex-maint@lists.debian.org>, <384334@bugs.debian.org>, <frank@debian.org>, <384332@bugs.debian.org>
Subject: Re: jadetex NMU
Date: Mon, 18 Sep 2006 15:29:49 +0400
Hi all!
 ..... Original Message .......
On Sun, 17 Sep 2006 12:11:55 +0200 "Michael Meskes" <meskes@debian.org> wrote:
>During our bug-squashing-party we decided that it would be a good idea
>to make jadetex become RC bug free in etch and upload the NMU that
>Norbert prepared. However, to make sure that Ohura-san is part of the

I hope you too did some basic testing that everything goes well and I didnt break anything.

Best wishes

Norbert
-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>                    Università di Siena
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 04:39:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:01:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.